(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@sentry/angular-ivy')) :
    typeof define === 'function' && define.amd ? define('@pv-frontend/pv-custom-error-handling', ['exports', '@sentry/angular-ivy'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global["pv-frontend"] = global["pv-frontend"] || {}, global["pv-frontend"]["pv-custom-error-handling"] = {}), global.Sentry));
})(this, (function (exports, Sentry) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () { return e[k]; }
                    });
                }
            });
        }
        n["default"] = e;
        return Object.freeze(n);
    }

    var Sentry__namespace = /*#__PURE__*/_interopNamespace(Sentry);

    // import { PvCustomErrorHandlingService } from "./pv-custom-error-handling.service";
    var GlobalErrorHandler = /** @class */ (function () {
        function GlobalErrorHandler() {
            Sentry__namespace.init({
                dsn: 'https://3dc74a2003aa481d94ddbbb02c74367c@o4505114078871552.ingest.sentry.io/4505114081296384',
                integrations: [
                    new Sentry__namespace.BrowserTracing({
                        routingInstrumentation: Sentry__namespace.routingInstrumentation,
                    }),
                    new Sentry__namespace.Replay(),
                ],
                replaysOnErrorSampleRate: 1.0,
                replaysSessionSampleRate: 0.1,
                tracesSampleRate: 1.0,
            });
        }
        GlobalErrorHandler.prototype.handleError = function (error) {
            if (error.error instanceof ErrorEvent) {
                this.captureMessage("Error: " + error.error.message);
            }
            else {
                this.captureException(error);
            }
        };
        GlobalErrorHandler.prototype.captureException = function (error) {
            Sentry__namespace.captureException(error);
        };
        GlobalErrorHandler.prototype.captureMessage = function (message) {
            Sentry__namespace.captureMessage(message);
        };
        return GlobalErrorHandler;
    }());

    /*
     * Public API Surface of pv-custom-error-handling
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.GlobalErrorHandler = GlobalErrorHandler;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=pv-frontend-pv-custom-error-handling.umd.js.map
