import * as Sentry from '@sentry/angular-ivy';

// import { PvCustomErrorHandlingService } from "./pv-custom-error-handling.service";
class GlobalErrorHandler {
    constructor() {
        Sentry.init({
            dsn: 'https://3dc74a2003aa481d94ddbbb02c74367c@o4505114078871552.ingest.sentry.io/4505114081296384',
            integrations: [
                new Sentry.BrowserTracing({
                    routingInstrumentation: Sentry.routingInstrumentation,
                }),
                new Sentry.Replay(),
            ],
            replaysOnErrorSampleRate: 1.0,
            replaysSessionSampleRate: 0.1,
            tracesSampleRate: 1.0,
        });
    }
    handleError(error) {
        if (error.error instanceof ErrorEvent) {
            this.captureMessage(`Error: ${error.error.message}`);
        }
        else {
            this.captureException(error);
        }
    }
    captureException(error) {
        Sentry.captureException(error);
    }
    captureMessage(message) {
        Sentry.captureMessage(message);
    }
}

/*
 * Public API Surface of pv-custom-error-handling
 */

/**
 * Generated bundle index. Do not edit.
 */

export { GlobalErrorHandler };
//# sourceMappingURL=pv-frontend-pv-custom-error-handling.js.map
